[uctodata] 01/01: Added postinst/postrm/preinst scripts to remove old config files

Maarten van Gompel proycon-guest at moszumanska.debian.org
Mon Jan 23 15:51:38 UTC 2017


This is an automated email from the git hooks/post-receive script.

proycon-guest pushed a commit to branch master
in repository uctodata.

commit ad83e9bf0d3bbd7b38ce9dd39c600f5c17590042
Author: proycon <proycon at anaproy.nl>
Date:   Mon Jan 23 16:51:18 2017 +0100

    Added postinst/postrm/preinst scripts to remove old config files
---
 debian/changelog         |  2 ++
 debian/uctodata.postinst | 29 +++++++++++++++++++++++++++++
 debian/uctodata.postrm   | 29 +++++++++++++++++++++++++++++
 debian/uctodata.preinst  | 29 +++++++++++++++++++++++++++++
 4 files changed, 89 insertions(+)

diff --git a/debian/changelog b/debian/changelog
index dd11d18..e3ebc90 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -6,6 +6,8 @@ uctodata (0.4-1) unstable; urgency=high
     (thanks to Andreas Beckmann)
   * debian/control: Updated Replaces/Breaks to ucto << 0.9.6
     as this won't work with older ucto versions anymore
+  * debian/uctodata.(preinst|postinst|postrm): remove old 
+    config files in /etc/ucto
 
  -- Maarten van Gompel <proycon at anaproy.nl>  Mon, 23 Jan 2017 14:44:00 +0200
 
diff --git a/debian/uctodata.postinst b/debian/uctodata.postinst
new file mode 100755
index 0000000..afcacac
--- /dev/null
+++ b/debian/uctodata.postinst
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+set -e
+
+#Data files moved to /usr/share instead of /etc, remove old:
+dpkg-maintscript-helper rm_conffile /etc/ucto/es.abr -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/exotic-eos.eos -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/exotic-quotes.quote -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/ligatures.filter -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/nl_afk.abr -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/pt.abr -- "$@"  			            #(not in jessie version)
+dpkg-maintscript-helper rm_conffile /etc/ucto/tokconfig-de -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/tokconfig-en -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/tokconfig-es -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/tokconfig-fr -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/tokconfig-fy -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/tokconfig-it -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/tokconfig-nl -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/tokconfig-nl-sonarchat -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/tokconfig-nl-twitter -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/tokconfig-nl-withplaceholder -- "$@"   #(not in jessie version)
+dpkg-maintscript-helper rm_conffile /etc/ucto/tokconfig-pt -- "$@"                   #(not in jessie version)
+dpkg-maintscript-helper rm_conffile /etc/ucto/tokconfig-ru -- "$@"                  #(not in jessie version)
+dpkg-maintscript-helper rm_conffile /etc/ucto/tokconfig-sv -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/tokconfig-tr -- "$@"                   #(not in jessie version)
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/uctodata.postrm b/debian/uctodata.postrm
new file mode 100755
index 0000000..afcacac
--- /dev/null
+++ b/debian/uctodata.postrm
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+set -e
+
+#Data files moved to /usr/share instead of /etc, remove old:
+dpkg-maintscript-helper rm_conffile /etc/ucto/es.abr -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/exotic-eos.eos -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/exotic-quotes.quote -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/ligatures.filter -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/nl_afk.abr -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/pt.abr -- "$@"  			            #(not in jessie version)
+dpkg-maintscript-helper rm_conffile /etc/ucto/tokconfig-de -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/tokconfig-en -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/tokconfig-es -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/tokconfig-fr -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/tokconfig-fy -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/tokconfig-it -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/tokconfig-nl -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/tokconfig-nl-sonarchat -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/tokconfig-nl-twitter -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/tokconfig-nl-withplaceholder -- "$@"   #(not in jessie version)
+dpkg-maintscript-helper rm_conffile /etc/ucto/tokconfig-pt -- "$@"                   #(not in jessie version)
+dpkg-maintscript-helper rm_conffile /etc/ucto/tokconfig-ru -- "$@"                  #(not in jessie version)
+dpkg-maintscript-helper rm_conffile /etc/ucto/tokconfig-sv -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/tokconfig-tr -- "$@"                   #(not in jessie version)
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/uctodata.preinst b/debian/uctodata.preinst
new file mode 100755
index 0000000..afcacac
--- /dev/null
+++ b/debian/uctodata.preinst
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+set -e
+
+#Data files moved to /usr/share instead of /etc, remove old:
+dpkg-maintscript-helper rm_conffile /etc/ucto/es.abr -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/exotic-eos.eos -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/exotic-quotes.quote -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/ligatures.filter -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/nl_afk.abr -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/pt.abr -- "$@"  			            #(not in jessie version)
+dpkg-maintscript-helper rm_conffile /etc/ucto/tokconfig-de -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/tokconfig-en -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/tokconfig-es -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/tokconfig-fr -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/tokconfig-fy -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/tokconfig-it -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/tokconfig-nl -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/tokconfig-nl-sonarchat -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/tokconfig-nl-twitter -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/tokconfig-nl-withplaceholder -- "$@"   #(not in jessie version)
+dpkg-maintscript-helper rm_conffile /etc/ucto/tokconfig-pt -- "$@"                   #(not in jessie version)
+dpkg-maintscript-helper rm_conffile /etc/ucto/tokconfig-ru -- "$@"                  #(not in jessie version)
+dpkg-maintscript-helper rm_conffile /etc/ucto/tokconfig-sv -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/tokconfig-tr -- "$@"                   #(not in jessie version)
+
+#DEBHELPER#
+
+exit 0

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-science/packages/uctodata.git



More information about the debian-science-commits mailing list